﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" DataKeyNames="ContactID" 
            DataSourceID="EntityDataSource1">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="ContactID" HeaderText="ContactID" ReadOnly="True" 
                    SortExpression="ContactID" Visible="False" />
                <asp:CheckBoxField DataField="NameStyle" HeaderText="NameStyle" 
                    SortExpression="NameStyle" Visible="False" />
                <asp:TemplateField HeaderText="Title" SortExpression="Title">
                    <EditItemTemplate>
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataSourceID="EntityDataSource2" DataTextField="Title" DataValueField="Title" 
                            SelectedValue='<%# Bind("Title") %>'>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Title") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="FirstName" HeaderText="FirstName" 
                    SortExpression="FirstName" />
                <asp:BoundField DataField="MiddleName" HeaderText="MiddleName" 
                    SortExpression="MiddleName" />
                <asp:TemplateField HeaderText="LastName" SortExpression="LastName">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("LastName") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="Please enter a last name." 
                            ForeColor="Red"></asp:RequiredFieldValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("LastName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Suffix" HeaderText="Suffix" 
                    SortExpression="Suffix" />
                <asp:TemplateField HeaderText="EmailAddress" SortExpression="EmailAddress">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("EmailAddress") %>'></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                            ControlToValidate="TextBox2" ErrorMessage="Please enter a valid email address." 
                            ForeColor="Red" 
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("EmailAddress") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="EmailPromotion" HeaderText="EmailPromotion" 
                    SortExpression="EmailPromotion" Visible="False" />
                <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" 
                    Visible="False" />
                <asp:BoundField DataField="PasswordHash" HeaderText="PasswordHash" 
                    SortExpression="PasswordHash" Visible="False" />
                <asp:BoundField DataField="PasswordSalt" HeaderText="PasswordSalt" 
                    SortExpression="PasswordSalt" Visible="False" />
                <asp:BoundField DataField="AdditionalContactInfo" 
                    HeaderText="AdditionalContactInfo" SortExpression="AdditionalContactInfo" 
                    Visible="False" />
                <asp:BoundField DataField="rowguid" HeaderText="rowguid" 
                    SortExpression="rowguid" Visible="False" />
                <asp:BoundField DataField="ModifiedDate" HeaderText="ModifiedDate" 
                    SortExpression="ModifiedDate" Visible="False" />
            </Columns>
        </asp:GridView>
    
    </div>
    <asp:EntityDataSource ID="EntityDataSource1" runat="server" 
        ConnectionString="name=AdventureWorksEntities" 
        DefaultContainerName="AdventureWorksEntities" EnableDelete="True" 
        EnableFlattening="False" EnableUpdate="True" EntitySetName="Contacts" 
        EntityTypeFilter="Contact">
    </asp:EntityDataSource>
    <asp:EntityDataSource ID="EntityDataSource2" runat="server" 
        ConnectionString="name=AdventureWorksEntities" 
        DefaultContainerName="AdventureWorksEntities" EnableFlattening="False" 
        EntitySetName="Contacts" Select="DISTINCT it.[Title]" OrderBy="it.[Title]">
    </asp:EntityDataSource>
    </form>
</body>
</html>
